<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="Compare.ascx.vb" Inherits="Active.Modules.AC.DNN.Compare" %>
<script type="text/javascript">

var img1 = new Image();
img1.src = '<%= spinner %>';
var position;
var preview;
var animate = null;

function ac_togglePreview(obj,featureid) {
    if (animate != null) {return;}
    var prevWidth = 250;
    var growX = prevWidth / 10;
    var growY = 150/10;
    var pt = document.getElementById("ac_divPreviewText");
    var prevInfo = document.getElementById('ac_divPreviewWindow');

//alert(pt.innerHTML);
    if (pt.innerHTML != '') {
        pt.innerHTML = '';
        animatecount = 10;
        var preview = document.createElement('div');
        preview.id = 'ac_preview';
        preview.style.border = 'solid 1px #666';
        preview.style.width = prevInfo.offsetWidth + 'px';
        preview.style.height = '150px';
        preview.style.position = 'absolute';
        preview.style.top = position.y - 150;
        preview.style.left = position.x + 15;
        obj.parentNode.appendChild(preview);
        pt.innerHTML = '&nbsp;'
        animate = setInterval("ac_showPreview(false," + prevWidth + "," + growX + ',' + growY + "," + position.x + "," + (position.y - 150) + "," + position.x + "," + position.y + "," + featureid + ",'" + obj.id + "')",1);
        return;
    }
    position = ac_getPosition(obj);
    prevInfo.style.top = position.y - 150;
    prevInfo.style.left = position.x + 15;
    animatecount = 0;
    var preview = document.createElement('div');
    preview.id = 'ac_preview';
    preview.style.border = 'solid 1px #666';
    preview.style.width = '0px';
    preview.style.height = '0px';
    preview.style.position = 'absolute';
    preview.style.top = position.y;
    preview.style.left = position.x + 15;
    obj.parentNode.appendChild(preview);
    pt.innerHTML = '&nbsp;'
    animate = setInterval("ac_showPreview(true," + prevWidth + "," + growX + ',' + growY + "," + position.x + "," + (position.y - 150) + "," + position.x + "," + position.y + "," + featureid + ")",1);
}

function ac_showPreview(bool,prevWidth,growX,growY,endX,endY,startX,startY,featureid,previous) {
    var preview = document.getElementById('ac_preview');
    if (bool) {
        animatecount += 1;
        preview.style.height = (growY * animatecount) + 'px';
        preview.style.width = (growX * animatecount) + 'px';
        preview.style.top = (startY - ((150 / 10) * animatecount));
        preview.style.left = ((startX - (((startX - endX) / 10) * animatecount)) + 15);
        if (animatecount == 10) {
            clearInterval(animate);
            animate = null;
            var params = new Object();
            params["FeatureId"] = featureid;
            Sys.Net.WebServiceProxy.invoke('<%=helperPath %>', 'GetFeatureComment', false, params, ac_onCommentComplete, ac_onCommentError);
            var out = document.getElementById('ac_divPreviewWindow');
            out.style.display = 'block';
            preview.parentNode.removeChild(preview);
            preview = null;
        }
    }else{
        animatecount -= 1;
        var out = document.getElementById('ac_divPreviewWindow');
        if (out.style.display == 'block') {
            out.style.display = 'none';
        }
        preview.style.height = (growY * animatecount) + 'px';
        preview.style.width = (growX * animatecount) + 'px';
        preview.style.top = (startY - ((150 / 10) * animatecount));
        preview.style.left = ((startX - (((startX - endX) / 10) * animatecount)) + 15);

        if (animatecount == 0) {
            clearInterval(animate);
            animate = null;
            preview.parentNode.removeChild(preview);
            preview = null;
            var prevInfo = document.getElementById('ac_divPreviewWindow');
            obj = document.getElementById(previous);
            position = ac_getPosition(obj);
            prevInfo.style.top = position.y - 150;
            prevInfo.style.left = position.x + 15;
            var prevWidth = 250;
            animatecount = 0;
            var preview = document.createElement('div');
            preview.id = 'ac_preview';
            preview.style.border = 'solid 1px #666';
            preview.style.width = '0px';
            preview.style.height = '0px';
            preview.style.position = 'absolute';
            preview.style.top = position.y;
            preview.style.left = position.x + 15;
            obj.parentNode.appendChild(preview);
            pt = document.getElementById('ac_divPreviewText');
            pt.innerHTML = '&nbsp;'
            animate = setInterval("ac_showPreview(true," + prevWidth + "," + growX + ',' + growY + "," + position.x + "," + (position.y - 150) + "," + position.x + "," + position.y + "," + featureid + ")",1);
        }
    } 
}

 

function ac_onCommentComplete(result) {
    var out = document.getElementById("ac_divPreviewText");
    out.innerHTML = '';
    out.innerHTML = result;
}

function ac_getPosition(e){
    var left = 0;
    var top = 0;
    while (e.offsetParent){
        left += e.offsetLeft;
        top += e.offsetTop;
        e = e.offsetParent;
    }
    left += e.offsetLeft;
    top += e.offsetTop;
    return {x:left, y:top};
}

function ac_onCommentError(result) {
    alert('There was an error processing your request.');
}

function ac_closePreview(){
    var prev = document.getElementById('ac_divPreviewWindow');
    prev.style.display = 'none';
    var out = document.getElementById("ac_divPreviewText");
    //alert(out.innerHTML);
    out.innerHTML = '';
    //alert(out.innerHTML);
}

function ac_showCommentLoading(button){
    var pos = ac_getPosition(button);
    var out = document.getElementById("ac_divPreviewWindow");
    var pt = document.getElementById("ac_divPreviewText");
    var afPos = ac_getPosition(out.parentNode);
    pt.innerHTML = '';
    out.style.height = '300px';
    out.style.width = out.parentNode.offsetWidth + 'px';
    pt.style.overflow = 'auto';
    pt.style.height = '280px';
    out.style.top = (pos.y - 302) + 'px';
    out.style.left = afPos.x;
    pt.appendChild(img1);
}

</script>


<asp:PlaceHolder ID="plhMain" runat="server"></asp:PlaceHolder>
<div id="e">
    <div id="ac_divPreviewWindow" class="apc_preview">
    <div class="apc_previewbar">
        <img runat="server" id="imgClose" align="right" onclick="ac_closePreview();" />
        <%= PreviewText %>
    </div>
    <div id="ac_divPreviewText" class="apc_previewText"></div>
    </div>
</div>
